<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: MIDI PLAYER</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="MIDI"></a>EXOTICA: MIDI PLAYER
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="black">
Contents<br>
11 routines<p>
<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_dmidi.html#DMUSIC_INIT">DMUSIC_INIT(v1.6)</A><br>
<A href="e_dmidi.html#DMUSIC_RELEASE">DMUSIC_RELEASE(v1.6)</A><br>
<A href="e_dmidi.html#DMUSIC_TOGGLE_REVERB">DMUSIC_TOGGLE_REVERB(v1.6)</A><br>
<A href="e_dmidi.html#DMUSIC_REVERB_AVAIL">DMUSIC_REVERB_AVAIL(v1.6)</A><br>
<A href="e_dmidi.html#MIDI_OPEN">MIDI_OPEN</A><br>
<A href="e_dmidi.html#MIDI_PLAY">MIDI_PLAY</A><br>
<A href="e_dmidi.html#MIDI_STOP">MIDI_STOP</A><br>
<A href="e_dmidi.html#MIDI_CLOSE">MIDI_CLOSE</A><br>
<A href="e_dmidi.html#MIDI_PAUSE">MIDI_PAUSE</A><br>
<A href="e_dmidi.html#MIDI_RESUME">MIDI_RESUME</A><br>
<A href="e_dmidi.html#IS_MIDI_READY">IS_MIDI_READY</A><br>
</font></b></td></tr>
</table>
</font></b></center></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
Exotica now uses DirectMusic for simple midi playback instead of the ms media player.
Backward compatibility complies with old functions, just remmeber to intialize and
release DirectMusic when needed now.<p>
Microsoft claims that the default gm instrument set should sound
the same on all soundcards uisng DirectMusic. I'm not claiming that. :P<p>
The 'Mid_Play.exw' example is updated for these new functions.<br><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="DMUSIC_INIT"></a><center><font color="Maroon">DMUSIC_INIT(v1.6)</font></center>
<hr WIDTH="100%">
C: int DMUSIC_INIT( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_func(DMUSIC_INIT,{NULL}) <br>
<hr WIDTH="100%">
Description: Initializes DirectMusic. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="DMUSIC_RELEASE"></a><center><font color="Maroon">DMUSIC_RELEASE(v1.6)</font></center>
<hr WIDTH="100%">
C: void DMUSIC_RELEASE( NULL ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(DMUSIC_RELEASE,{NULL}) <br>
<hr WIDTH="100%">
Description: Releases DirectMusic. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="DMUSIC_TOGGLE_REVERB"></a><center><font color="Maroon">DMUSIC_TOGGLE_REVERB(v1.6)</font></center>
<hr WIDTH="100%">
C: void DMUSIC_TOGGLE_REVERB( int Toggle ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(DMUSIC_TOGGLE_REVERB,{C_INT}) <br>
<hr WIDTH="100%">
Description: Toggles reverb on or off.<br>
Set to 0 for off.<br>
set to 1 for on.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="DMUSIC_REVERB_AVAIL"></a><center><font color="Maroon">DMUSIC_REVERB_AVAIL(v1.6)</font></center>
<hr WIDTH="100%">
C: int DMUSIC_REVERB_AVAIL( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_func(DMUSIC_REVERB_AVAIL,{NULL}) <br>
<hr WIDTH="100%">
Description: Determines if reverb is available( soundcard specific ). <br>
results:<br>
1 = yes, is available <br>
0 = no, not available <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="MIDI_OPEN"></a><center><font color="Maroon">MIDI_OPEN</font></center>
<hr WIDTH="100%">
C: void MIDI_OPEN( LPSTR Filename ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(MIDI_OPEN,{Filename}) <br>
<hr WIDTH="100%">
Description: Opens a Midi File for playing. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="MIDI_PLAY"></a><center><font color="Maroon">MIDI_PLAY</font></center>
<hr WIDTH="100%">
C: void MIDI_PLAY( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(MIDI_PLAY,{NULL}) <br>
<hr WIDTH="100%">
Description: Plays the Midi song.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="MIDI_STOP"></a><center><font color="Maroon">MIDI_STOP</font></center>
<hr WIDTH="100%">
C: void MIDI_STOP( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(MIDI_STOP,{NULL}) <br>
<hr WIDTH="100%">
Description: Stops the Midi song.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="MIDI_CLOSE"></a><center><font color="Maroon">MIDI_CLOSE</font></center>
<hr WIDTH="100%">
C: void MIDI_CLOSE( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(MIDI_CLOSE,{NULL}) <br>
<hr WIDTH="100%">
Description: Releases the Midi Song from memory. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="MIDI_PAUSE"></a><center><font color="Maroon">MIDI_PAUSE</font></center>
<hr WIDTH="100%">
C: void MIDI_PAUSE( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(MIDI_PAUSE,{NULL}) <br>
<hr WIDTH="100%">
Description: Pause the Midi Song.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="MIDI_RESUME"></a><center><font color="Maroon">MIDI_RESUME</font></center>
<hr WIDTH="100%">
C: void MIDI_RESUME( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(MIDI_RESUME,{NULL}) <br>
<hr WIDTH="100%">
Description: Resumes a paused Midi Song. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="IS_MIDI_READY"></a><center><font color="Maroon">IS_MIDI_READY</font></center>
<hr WIDTH="100%">
C: int IS_MIDI_READY( void ) <br>
<hr WIDTH="100%">
Euphoria Function: c_func(IS_MIDI_READY,{NULL}) <br>
<hr WIDTH="100%">
Description: Returns a 0 if the Midi song is not playing. Returns a 1 if it is playing.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>

</center>
</body>
</html>
